Bug 737483 - Public user should be able to see public comments once the cert has become public
Summary: Public user should be able to see public comments once the cert has become pu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tony Fu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 722937
TreeView+ depends on / blocked
 
Reported: 2011-09-12 09:35 UTC by Tony Fu
Modified: 2011-09-19 05:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 05:55:51 UTC


Attachments (Terms of Use)
allow public to see public comments (4.90 KB, patch)
2011-09-12 09:42 UTC, Tony Fu
tfu: review? (wshen)
tfu: review? (rlandry)
pxue: review+
Details | Diff

Description Tony Fu 2011-09-12 09:35:55 UTC
Description of problem:


Public user should be able to see public comments once the cert has become public

Additional info:
Since the cert is still in 'hwcert_private_entry' group once it has become public, the general public will not be able to access the public comments using xmlrpc, since the general public doesn't in 'hwcert_private_entry' group.  Now we set up a dummy account 'hwcert-public-xmlrp@redhat.com' which is in 'hwcert_private_entry' group only, so the catalog code can use this account to get public comments for general public.

Comment 1 Tony Fu 2011-09-12 09:42:56 UTC
Created attachment 522670 [details]
allow public to see public comments

Well, I bent the QA rule here. 

I have committed my patch to cvs before anyone has reviewed it, since today is a public holiday in china and we are in a bit rush to push the new patch on testing.  We can fix any error when the review has been done anyway.

Comment 2 Wei Shen 2011-09-16 05:37:56 UTC
This has been verified on partner site and live system

Comment 3 Tony Fu 2011-09-19 05:55:51 UTC
Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.